	var myMap, myCollection;
        
    ymaps.ready(init);

	//Определение начальных параметров карты
    function init () {
        myMap = new ymaps.Map("map", {
        center: [56.326944, 44.0075], 
        zoom: 12
        }, {
            balloonMaxWidth: 800
            });
			
	//Добавляем элементы управления	
	myMap.controls                
        .add('zoomControl')                
        .add('typeSelector')                
        .add('mapTools');
				
	//myCollection = new ymaps.GeoObjectCollection();
	
	var MyBalloonContentLayoutClass = ymaps.templateLayoutFactory.createClass(
    '<strong>$[properties.name]</strong>' +
    '<p>$[properties.description]</p>'
	);	
	
	$.getJSON("vivodpointsmap.php",
function(json){
for (i = 0; i < json.markers.length; i++) {
 
var myPlacemark = new ymaps.Placemark([json.markers[i].lat,json.markers[i].lon], {
			name: json.markers[i].icontext,
			description: json.markers[i].balloontext,			    
            hintContent: json.markers[i].hinttext
			},{
				balloonContentLayout: MyBalloonContentLayoutClass,
				preset: json.markers[i].styleplacemark
			}); 	
 
  // Добавляем метку на карту
  myMap.geoObjects.add(myPlacemark);
}
 
});
	
	//Добавляем картинку при выборе опции select
	$('#image').change(function(){
		$('.add-on').find('img:first').attr('src', $('#image option:selected').attr('data-path'));
	});	
	
	$('#addmarker').click( function () {
	
	var name = $('#marker_name').val();
	
	var hintText = $('#marker_hint').val();
	
	var address = $('#marker_address').val();
	
	var balloonText = $('#marker_balloontext').val();
	
	var stylePlacemark = $("#image option:selected").text();	
	
	

	var myGeocoder = ymaps.geocode(address);
	myGeocoder.then(
		function (res) {
			var firstGeoObject = res.geoObjects.get(0);
			coords = firstGeoObject.geometry.getCoordinates();
			marker = new ymaps.Placemark(coords,
			{
			name: name,
			description: balloonText,			
            hintContent: hintText
			},{
				balloonContentLayout: MyBalloonContentLayoutClass,
				preset: stylePlacemark
			}); 
			
			$("#res").load("addmetki.php", {icontext: name, hinttext : hintText, balloontext : balloonText, styleplacemark : stylePlacemark, lat : firstGeoObject.geometry.getCoordinates()[0], lon : firstGeoObject.geometry.getCoordinates()[1]});

			
			myMap.geoObjects.add(marker);			
		},
		function (err) {
			alert('Ошибка');
		}
	);
	
	
	});
		
	}
	
	